
module Walker.Pkg where

import Walker
import Walker.URDF
import Walker.SRDF
import Walker.SCAD
import           Control.Monad.Reader              (runReader)
import SCAD
import           SRDF.Xml                          (writeSRDFXML)
import           URDF.Xml                          (writeURDFXML)

generateWalkerPackage :: SimpleWalker -> PackageConfig -> IO()
generateWalkerPackage w pc = do
    let ew = runReader (extendWalker w) pc
    mapM_ (uncurry renderSCAD) $ getSCADFiles ew
    writeURDFXML (getURDF ew) (pkg_dir pc ++ "src/koke.urdf")
    writeSRDFXML (getSRDF ew) (pkg_dir pc ++ "src/koke.srdf")
    renderWalkerStl ew
